#ifndef VY_FILE_TAB_H
#define VY_FILE_TAB_H

#include "runtime.h"

#include <stdint.h>

/* used to identify a file (XXH3 hash of the path) */
typedef uint64_t vy_file_id;
#define VY_INVALID_FILE_ID 0

VY_DLLEXPORT vy_file_id vyGetFileId(const char *path);

VY_DLLEXPORT vy_file_id vyGetFileIdFromSpan(vy_text_span path);

VY_DLLEXPORT vy_file_id vyAddFile(const char *path);

VY_DLLEXPORT vy_file_id vyAddFileFromSpan(vy_text_span path);

VY_DLLEXPORT const char *vyGetFilePath(vy_file_id fid);

#endif
