#ifndef VY_ASSETC_PACKAGES_H
#define VY_ASSETC_PACKAGES_H

#include "runtime/runtime.h"
#include "runtime/assets.h"

void vyInitPackages(void);

unsigned int vyAddPackageFile(vy_text_span name);

void vyAddAssetToPackage(unsigned int package, vy_uid uid, void *buffer, size_t size);
void vyAddUnchangedAssetToPackage(unsigned int package, vy_uid uid);

vy_result vySavePackages(void);

#endif
