#ifndef VY_ASSETC_PROCESSING_FLAGS_H
#define VY_ASSETC_PROCESSING_FLAGS_H

/* Shader processing flags */
enum {
    /* Type is encoded in the lower bits */
    VY_SHADER_FLAG_VERTEX   = 0x01,
    VY_SHADER_FLAG_FRAGMENT = 0x02,
    VY_SHADER_FLAG_COMPUTE  = 0x03,

    VY_SHADER_FLAG_TYPE_MASK =
        VY_SHADER_FLAG_VERTEX | VY_SHADER_FLAG_FRAGMENT | VY_SHADER_FLAG_COMPUTE,

    VY_SHADER_FLAG_OPTIMIZE_SPEED = 0x04,
    VY_SHADER_FLAG_OPTIMIZE_SIZE  = 0x08,
    VY_SHADER_FLAG_OPTIMIZE_MASK  = VY_SHADER_FLAG_OPTIMIZE_SPEED | VY_SHADER_FLAG_OPTIMIZE_SIZE,
};


#endif
